@import './mixins/media.scss';
@import './mixins/animations.scss';

@font-face {
    font-family: 'Avengeance Heroic Avenger';
    font-stretch: normal;
    font-style: normal;
    font-weight: normal;
    letter-spacing: normal;
    line-height: 1.27;
    font-display: swap;
    src: url('../fonts/AvengeanceHeroicAvengerBold.eot') format('embedded-opentype');
    src: url('../fonts/AvengeanceHeroicAvengerBold.eot?#iefix')
            format('embedded-opentype'),
        url('../fonts/AvengeanceHeroicAvengerBold.woff') format('woff'),
        url('../fonts/AvengeanceHeroicAvengerBold.ttf') format('truetype'),
        url('../fonts/AvengeanceHeroicAvengerBold.svg#Min_font + regular, italic, bold')
            format('svg');
}

body {
    margin: 0;
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
}

html,
body,
#app,
#app > div {
    font-size: 14px;
    height: 100%;
    color: #2c3e50;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
